import { AbstractCache } from './AbstractCache';
import type { Cache, IdResolver } from './types/DataSources';
import type { GetManyResult, SynchronousCache } from './types/SyncDataSources';
export declare abstract class AbstractFlatCache<LoadedValue, LoadParams = undefined> extends AbstractCache<LoadedValue, Promise<LoadedValue | undefined | null> | undefined, Cache<LoadedValue>, SynchronousCache<LoadedValue>> {
    isGroupCache(): boolean;
    getInMemoryOnly(key: string, loadParams?: LoadParams): LoadedValue | undefined | null;
    getManyInMemoryOnly(keys: string[]): GetManyResult<LoadedValue>;
    getAsyncOnly(key: string, loadParams?: LoadParams): Promise<LoadedValue | undefined | null>;
    getManyAsyncOnly(keys: string[], idResolver: IdResolver<LoadedValue>, loadParams?: LoadParams): Promise<GetManyResult<LoadedValue>>;
    get(key: string, loadParams?: LoadParams): Promise<LoadedValue | undefined | null>;
    getMany(keys: string[], idResolver: IdResolver<LoadedValue>, loadParams?: LoadParams): Promise<LoadedValue[]>;
    protected resolveValue(key: string, _loadParams?: LoadParams): Promise<LoadedValue | undefined | null>;
    protected resolveManyValues(keys: string[], _idResolver: IdResolver<LoadedValue>, _loadParams?: LoadParams): Promise<GetManyResult<LoadedValue>>;
    invalidateCacheFor(key: string): Promise<void>;
    invalidateCacheForMany(keys: string[]): Promise<void>;
}
