"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeneratedDataSource = void 0;
class GeneratedDataSource {
    getOneFn;
    getManyFn;
    name;
    constructor(params) {
        this.name = params.name ?? 'Generated loader';
        this.getOneFn =
            params.dataSourceGetOneFn ??
                function () {
                    throw new Error('Retrieval of a single entity is not implemented');
                };
        this.getManyFn =
            params.dataSourceGetManyFn ??
                function () {
                    throw new Error('Retrieval of multiple entities is not implemented');
                };
    }
    get(key, loadParams) {
        return this.getOneFn(key, loadParams);
    }
    getMany(keys, loadParams) {
        return this.getManyFn(keys, loadParams);
    }
}
exports.GeneratedDataSource = GeneratedDataSource;
//# sourceMappingURL=GeneratedDataSource.js.map