import type { GroupCache, GroupDataSource, IdResolver } from './types/DataSources';
import type { LoaderConfig } from './Loader';
import { AbstractGroupCache } from './AbstractGroupCache';
import type { InMemoryGroupCacheConfiguration, InMemoryGroupCache } from './memory/InMemoryGroupCache';
import type { GroupNotificationPublisher } from './notifications/GroupNotificationPublisher';
import type { GetManyResult } from './types/SyncDataSources';
export type GroupLoaderConfig<LoadedValue, LoaderParams = undefined> = LoaderConfig<LoadedValue, LoaderParams, GroupCache<LoadedValue>, GroupDataSource<LoadedValue, LoaderParams>, InMemoryGroupCacheConfiguration, InMemoryGroupCache<LoadedValue>, GroupNotificationPublisher<LoadedValue>>;
export declare class GroupLoader<LoadedValue, LoaderParams = undefined> extends AbstractGroupCache<LoadedValue, LoaderParams> {
    private readonly dataSources;
    private readonly groupRefreshFlags;
    protected readonly throwIfLoadError: boolean;
    protected readonly throwIfUnresolved: boolean;
    constructor(config: GroupLoaderConfig<LoadedValue, LoaderParams>);
    protected resolveGroupValue(key: string, group: string, loadParams?: LoaderParams): Promise<LoadedValue | undefined | null>;
    protected resolveManyGroupValues(keys: string[], group: string, idResolver: IdResolver<LoadedValue>, loadParams?: LoaderParams): Promise<GetManyResult<LoadedValue>>;
    private loadFromLoaders;
    private loadManyFromLoaders;
}
