"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManualGroupCache = void 0;
const AbstractGroupCache_1 = require("./AbstractGroupCache");
class ManualGroupCache extends AbstractGroupCache_1.AbstractGroupCache {
    constructor(config) {
        super(config);
    }
    async set(key, resolvedValue, group) {
        this.inMemoryCache.setForGroup(key, resolvedValue, group);
        const groupLoads = this.resolveGroupLoads(group);
        this.deleteGroupRunningLoad(groupLoads, group, key);
        if (this.asyncCache) {
            return this.asyncCache.setForGroup(key, resolvedValue, group).catch((err) => {
                this.cacheUpdateErrorHandler(err, key, this.asyncCache, this.logger);
            });
        }
    }
}
exports.ManualGroupCache = ManualGroupCache;
//# sourceMappingURL=ManualGroupCache.js.map