import type { WriteCache } from '../types/DataSources';
import type { Logger } from '../util/Logger';
export type PublisherErrorHandler = (err: Error, channel: string, logger: Logger) => void;
export declare const DEFAULT_NOTIFICATION_ERROR_HANDLER: PublisherErrorHandler;
export interface NotificationPublisher<LoadedValue> extends Pick<WriteCache<LoadedValue>, 'delete' | 'deleteMany' | 'clear'> {
    readonly errorHandler: PublisherErrorHandler;
    readonly channel: string;
    subscribe(): Promise<unknown>;
    close(): Promise<void>;
}
