"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisNotificationPublisher = exports.DELETE_MANY_COMMAND = exports.DELETE_COMMAND = exports.CLEAR_COMMAND = void 0;
const NotificationPublisher_1 = require("../notifications/NotificationPublisher");
exports.CLEAR_COMMAND = 'CLEAR';
exports.DELETE_COMMAND = 'DELETE';
exports.DELETE_MANY_COMMAND = 'DELETE_MANY';
class RedisNotificationPublisher {
    channel;
    errorHandler;
    redis;
    serverUuid;
    constructor(redis, config) {
        this.redis = redis;
        this.channel = config.channel;
        this.serverUuid = config.serverUuid;
        this.errorHandler = config.errorHandler ?? NotificationPublisher_1.DEFAULT_NOTIFICATION_ERROR_HANDLER;
    }
    clear() {
        return this.redis.publish(this.channel, JSON.stringify({
            actionId: exports.CLEAR_COMMAND,
            originUuid: this.serverUuid,
        }));
    }
    delete(key) {
        return this.redis.publish(this.channel, JSON.stringify({
            actionId: exports.DELETE_COMMAND,
            originUuid: this.serverUuid,
            key,
        }));
    }
    deleteMany(keys) {
        return this.redis.publish(this.channel, JSON.stringify({
            actionId: exports.DELETE_MANY_COMMAND,
            originUuid: this.serverUuid,
            keys,
        }));
    }
    async close() { }
    async subscribe() { }
}
exports.RedisNotificationPublisher = RedisNotificationPublisher;
//# sourceMappingURL=RedisNotificationPublisher.js.map